Bug 665877 - Review Request: freeDiameter - a Diameter protocol open implementation
Summary: Review Request: freeDiameter - a Diameter protocol open implementation
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-27 16:30 UTC by Shakthi Kannan
Modified: 2011-07-06 21:25 UTC (History)
3 users (show)

Fixed In Version: freeDiameter-1.1.0-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-21 17:28:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Shakthi Kannan 2010-12-27 16:30:45 UTC
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/freeDiameter.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/freeDiameter-1.0.3-1.fc14.src.rpm
Description: freeDiameter is an open source Diameter protocol implementation. It provides an extensible platform for deploying a Diameter network for your Authentication, Authorization and Accounting needs.

Comment 1 Shakthi Kannan 2010-12-27 16:33:27 UTC
* Informed upstream to use %{name}-%{version}.tar.gz naming convention.

$ rpmlint freeDiameter.spec
freeDiameter.spec: W: invalid-url Source0: http://www.freediameter.net/hg/freeDiameter/archive/freeDiameter-1.0.3.tar.gz HTTP Error 500: Internal Server Error
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint ../RPMS/i686/freeDiameter-1.0.3-1.fc14.i686.rpm 
freeDiameter.i686: W: no-manual-page-for-binary freeDiameterd-1.0.3
freeDiameter.i686: W: no-manual-page-for-binary freeDiameterd
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint ../RPMS/i686/freeDiameter-devel-1.0.3-1.fc14.i686.rpm 
freeDiameter-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint ../SRPMS/freeDiameter-1.0.3-1.fc14.src.rpm 
freeDiameter.src: W: invalid-url Source0: http://www.freediameter.net/hg/freeDiameter/archive/freeDiameter-1.0.3.tar.gz HTTP Error 500: Internal Server Error
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Successful Koji builds for F-13, F-14 and EL-6 respectively:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2690177
http://koji.fedoraproject.org/koji/taskinfo?taskID=2690180
http://koji.fedoraproject.org/koji/taskinfo?taskID=2690181

Comment 2 Parag AN(पराग) 2011-06-06 05:59:54 UTC
Looks like new version 1.1.0 is already available. Can you package it?

Looking at the spec file
1) Good preserve timestamp by changing
make install DESTDIR=%{buildroot}
to
make install DESTDIR=%{buildroot} INSTALL="install -p"

2) Avoid macro usage for command rm. See http://fedoraproject.org/wiki/Packaging/Guidelines#Macros

Comment 3 Shakthi Kannan 2011-06-07 05:51:56 UTC
Preserved timestamp. Removed use of macro for command rm. Updated upstream package:

SPEC: http://shakthimaan.fedorapeople.org/SPECS/freeDiameter.spec
SRPM: http://shakthimaan.fedorapeople.org/SRPMS/freeDiameter-1.1.0-1.fc14.src.rpm

$  rpmlint freeDiameter.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$  rpmlint freeDiameter-1.1.0-1.fc14.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$  rpmlint freeDiameter-1.1.0-1.fc14.i686.rpm 
freeDiameter.i686: W: shared-lib-calls-exit /usr/lib/libfdcore.so.1.1.0 exit@GLIBC_2.0
freeDiameter.i686: W: no-manual-page-for-binary freeDiameterd
freeDiameter.i686: W: no-manual-page-for-binary freeDiameterd-1.1.0
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

$  rpmlint freeDiameter-devel-1.1.0-1.fc14.i686.rpm 
freeDiameter-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Will inform upstream to remove exit() call. Successful Koji builds for F-15, F-16, EL-6:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3115184
http://koji.fedoraproject.org/koji/taskinfo?taskID=3115189
http://koji.fedoraproject.org/koji/taskinfo?taskID=3115192

Comment 4 Parag AN(पराग) 2011-06-09 04:59:22 UTC
Review:
1) Upstream source verified as (sha1sum)
ddd683b90f2755163605064deb8fab5f15d22414  1.1.0.tar.gz
ddd683b90f2755163605064deb8fab5f15d22414  ../SOURCES/freeDiameter-1.1.0.tar.gz

2) rpmlint output on rpms gave
freeDiameter-devel.x86_64: W: no-documentation
freeDiameter.x86_64: W: shared-lib-calls-exit /usr/lib64/libfdcore.so.1.1.0 exit@GLIBC_2.2.5
freeDiameter.x86_64: W: no-manual-page-for-binary freeDiameterd
freeDiameter.x86_64: W: no-manual-page-for-binary freeDiameterd-1.1.0
3 packages and 0 specfiles checked; 0 errors, 4 warnings.

3) Package follows packaging guidelines.

Suggestions:
1) The only working download link I found is http://www.freediameter.net/hg/freeDiameter/archive/1.1.0.tar.gz
so change the Source0 tag to

Source0:        http://www.freediameter.net/hg/%{name}/archive/%{version}.tar.gz

and add a comment before this Source tag that upstream tarball is renamed to follow %{name}-%{version}.tar.gz conventions.

APPROVED.

Comment 5 Shakthi Kannan 2011-06-09 16:48:11 UTC
New Package SCM Request
=======================
Package Name: freeDiameter
Short Description: A Diameter protocol open implementation
Owners: shakthimaan
Branches: F-15 F-16 EL-6
InitialCC: shakthimaan

Comment 6 Gwyn Ciesla 2011-06-09 16:55:44 UTC
Git done (by process-git-requests).

devel==f16, created by default.

Comment 7 Shakthi Kannan 2011-06-10 02:59:25 UTC
http://www.freediameter.net/hg/%{name}/archive/%{name}-%{version}.tar.gz works, otherwise rpmlint would have complained as well.

I am not able to switch to f-15 or el-6 branch. I get:

  $ fedpkg switch-branch f15
  Unable to switch to another branch: Unknown remote branch f15

The commit access is not approved? See:

  https://admin.fedoraproject.org/pkgdb/acls/name/freeDiameter

Comment 8 Jason Tibbitts 2011-06-10 03:14:42 UTC
No problem switching branch for me, and the ACLs appear quite fine on the server.  Everything looks fine in pkgdb as well; I don't see anything wrong at the link you gave.  Perhaps you could indicate what you think is incorrect there.

Comment 9 Shakthi Kannan 2011-06-10 04:43:34 UTC
Never mind. I am able to switch to f15 and el6 branches now, and able to upload the package. Thanks for your reply.

Comment 10 Fedora Update System 2011-06-10 05:17:52 UTC
freeDiameter-1.1.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/freeDiameter-1.1.0-1.el6

Comment 11 Fedora Update System 2011-06-10 05:17:59 UTC
freeDiameter-1.1.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/freeDiameter-1.1.0-1.fc15

Comment 12 Fedora Update System 2011-06-11 04:28:36 UTC
freeDiameter-1.1.0-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 13 Fedora Update System 2011-06-21 17:28:29 UTC
freeDiameter-1.1.0-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 14 Shakthi Kannan 2011-06-27 05:45:02 UTC
Package Change Request
======================
Package Name: freeDiameter
New Branches: F-14
Owners: shakthimaan
InitialCC: shakthimaan

Comment 15 Gwyn Ciesla 2011-06-27 12:43:17 UTC
Git done (by process-git-requests).

Comment 16 Fedora Update System 2011-06-27 16:37:54 UTC
freeDiameter-1.1.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/freeDiameter-1.1.0-1.fc14

Comment 17 Fedora Update System 2011-06-30 17:53:25 UTC
freeDiameter-1.1.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 18 Fedora Update System 2011-07-06 21:25:36 UTC
freeDiameter-1.1.0-1.fc14 has been pushed to the Fedora 14 stable repository.


Note You need to log in before you can comment on or make changes to this bug.